petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscMallocViewGet

Determine whether all calls to PetscMalloc() are being logged

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocViewGet(PetscBool *logging)

Not Collective

Output Arguments

logging -PETSC_TRUE if logging is active

### Options Database Key

-malloc_view <optional filename> -Activates PetscMallocView()

### See Also

PetscMallocDump(), PetscMallocView()

### Level

advanced

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages